@echo off >nul 2>&1

set script_dir=%~dp0
set script_dir=%script_dir:~0,-1%

echo Checking for installer files^.^.^.

if not exist "%script_dir%\files" (
    echo Could not locate necessary installer files^.
    echo Did you extract the installer package before running it?
    pause
    exit /B 1
)

echo Done^.
echo.

echo Uninstalling any old versions^.^.^.

msiexec /x {BD4E5DC2-D13A-426B-8DA4-C06B9A4E67EE} /passive /norestart >nul 2>&1

echo Done^.
echo.

echo Checking for .NET framework^.^.^.

powershell.exe -ExecutionPolicy Bypass -NoLogo -NonInteractive -NoProfile -Command "& '%script_dir%\files\Get-NetFrameworkVersion.ps1'" | findstr /R /C:"4\.6\.2" /C:"4\.7.*"

if not %errorlevel% == 0 "%script_dir%\files\NET_4_6_2.exe" /log "%script_dir%\net_install_log.txt" /passive /norestart

echo Done^.
echo.

start "" "%script_dir%\files\FlowVision_SC_Installer.msi" /L*V "%script_dir%\installer_log.txt"